Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.net.http
Class ContentLengthInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--weblogic.net.http.ContentLengthInputStream

public class ContentLengthInputStream
extends java.io.FilterInputStream

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected boolean` | `closed`
`protected int` | `count`
`protected int` | `expected`
`protected int` | `markedCount`
`protected int` | `markLimit`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`ContentLengthInputStream(java.io.InputStream is, int contentLen)`

Method Summary
`int` | `available()`
`void` | `close()`
`void` | `mark(int readlimit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.io.FilterInputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### closed

    protected boolean closed

### expected

    protected int expected

### count

    protected int count

### markedCount

    protected int markedCount

### markLimit

    protected int markLimit

Constructor Detail

### ContentLengthInputStream

    public ContentLengthInputStream(java.io.InputStream is,
                                    int contentLen)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    read in class java.io.FilterInputStream

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    skip in class java.io.FilterInputStream

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    available in class java.io.FilterInputStream

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.FilterInputStream

### mark

    public void mark(int readlimit)

  Overrides:
    mark in class java.io.FilterInputStream

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    reset in class java.io.FilterInputStream

### markSupported

    public boolean markSupported()

  Overrides:
    markSupported in class java.io.FilterInputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD